﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="BookManagementModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Account">
          <Key>
            <PropertyRef Name="username" />
          </Key>
          <Property Name="username" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="password" Type="nvarchar" MaxLength="50" />
          <Property Name="fullname" Type="nvarchar" MaxLength="50" />
          <Property Name="role" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Authors">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="name" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Books">
          <Key>
            <PropertyRef Name="isbn" />
          </Key>
          <Property Name="title" Type="nvarchar" MaxLength="200" />
          <Property Name="isbn" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="publisher_id" Type="int" />
        </EntityType>
        <EntityType Name="BooksAuthors">
          <Key>
            <PropertyRef Name="isbn" />
            <PropertyRef Name="author_id" />
          </Key>
          <Property Name="isbn" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="author_id" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Order">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="title" Type="nvarchar" MaxLength="50" />
          <Property Name="username" Type="nvarchar" MaxLength="50" />
          <Property Name="createddate" Type="date" />
          <Property Name="returndate" Type="date" />
        </EntityType>
        <EntityType Name="OrderDetails">
          <Key>
            <PropertyRef Name="order_id" />
            <PropertyRef Name="isbn" />
          </Key>
          <Property Name="order_id" Type="int" Nullable="false" />
          <Property Name="isbn" Type="nvarchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="Publishers">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="name" Type="nvarchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <Association Name="FK_Books_Publishers">
          <End Role="Publishers" Type="Self.Publishers" Multiplicity="0..1" />
          <End Role="Books" Type="Self.Books" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Publishers">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Books">
              <PropertyRef Name="publisher_id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_BooksAuthors_Authors">
          <End Role="Authors" Type="Self.Authors" Multiplicity="1" />
          <End Role="BooksAuthors" Type="Self.BooksAuthors" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Authors">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="BooksAuthors">
              <PropertyRef Name="author_id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_BooksAuthors_Books">
          <End Role="Books" Type="Self.Books" Multiplicity="1" />
          <End Role="BooksAuthors" Type="Self.BooksAuthors" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Books">
              <PropertyRef Name="isbn" />
            </Principal>
            <Dependent Role="BooksAuthors">
              <PropertyRef Name="isbn" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Order_Account">
          <End Role="Account" Type="Self.Account" Multiplicity="0..1" />
          <End Role="Order" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Account">
              <PropertyRef Name="username" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="username" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_OrderDetails_Books">
          <End Role="Books" Type="Self.Books" Multiplicity="1" />
          <End Role="OrderDetails" Type="Self.OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Books">
              <PropertyRef Name="isbn" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="isbn" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_OrderDetails_Order">
          <End Role="Order" Type="Self.Order" Multiplicity="1" />
          <End Role="OrderDetails" Type="Self.OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Order">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="order_id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Function Name="fn_diagramobjects" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="true" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" ReturnType="int" />
        <Function Name="sp_alterdiagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="version" Type="int" Mode="In" />
          <Parameter Name="definition" Type="varbinary(max)" Mode="In" />
        </Function>
        <Function Name="sp_creatediagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="version" Type="int" Mode="In" />
          <Parameter Name="definition" Type="varbinary(max)" Mode="In" />
        </Function>
        <Function Name="sp_dropdiagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_helpdiagramdefinition" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_helpdiagrams" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_renamediagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="new_diagramname" Type="nvarchar" Mode="In" />
        </Function>
        <Function Name="sp_upgraddiagrams" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <EntityContainer Name="BookManagementModelStoreContainer">
          <EntitySet Name="Account" EntityType="Self.Account" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Authors" EntityType="Self.Authors" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Books" EntityType="Self.Books" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="BooksAuthors" EntityType="Self.BooksAuthors" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Order" EntityType="Self.Order" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="OrderDetails" EntityType="Self.OrderDetails" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Publishers" EntityType="Self.Publishers" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_Books_Publishers" Association="Self.FK_Books_Publishers">
            <End Role="Publishers" EntitySet="Publishers" />
            <End Role="Books" EntitySet="Books" />
          </AssociationSet>
          <AssociationSet Name="FK_BooksAuthors_Authors" Association="Self.FK_BooksAuthors_Authors">
            <End Role="Authors" EntitySet="Authors" />
            <End Role="BooksAuthors" EntitySet="BooksAuthors" />
          </AssociationSet>
          <AssociationSet Name="FK_BooksAuthors_Books" Association="Self.FK_BooksAuthors_Books">
            <End Role="Books" EntitySet="Books" />
            <End Role="BooksAuthors" EntitySet="BooksAuthors" />
          </AssociationSet>
          <AssociationSet Name="FK_Order_Account" Association="Self.FK_Order_Account">
            <End Role="Account" EntitySet="Account" />
            <End Role="Order" EntitySet="Order" />
          </AssociationSet>
          <AssociationSet Name="FK_OrderDetails_Books" Association="Self.FK_OrderDetails_Books">
            <End Role="Books" EntitySet="Books" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
          <AssociationSet Name="FK_OrderDetails_Order" Association="Self.FK_OrderDetails_Order">
            <End Role="Order" EntitySet="Order" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="BookManagementModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityContainer Name="BookManagementEntities" annotation:LazyLoadingEnabled="true">
          <FunctionImport Name="sp_alterdiagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="version" Mode="In" Type="Int32" />
            <Parameter Name="definition" Mode="In" Type="Binary" />
          </FunctionImport>
          <FunctionImport Name="sp_creatediagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="version" Mode="In" Type="Int32" />
            <Parameter Name="definition" Mode="In" Type="Binary" />
          </FunctionImport>
          <FunctionImport Name="sp_dropdiagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_helpdiagramdefinition" ReturnType="Collection(BookManagementModel.sp_helpdiagramdefinition_Result)">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_helpdiagrams" ReturnType="Collection(BookManagementModel.sp_helpdiagrams_Result)">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_renamediagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="new_diagramname" Mode="In" Type="String" />
          </FunctionImport>
          <FunctionImport Name="sp_upgraddiagrams" />
          <EntitySet Name="Accounts" EntityType="BookManagementModel.Account" />
          <EntitySet Name="Authors" EntityType="BookManagementModel.Author" />
          <EntitySet Name="Books" EntityType="BookManagementModel.Book" />
          <EntitySet Name="Orders" EntityType="BookManagementModel.Order" />
          <EntitySet Name="Publishers" EntityType="BookManagementModel.Publisher" />
          <EntitySet Name="sysdiagrams" EntityType="BookManagementModel.sysdiagram" />
          <AssociationSet Name="FK_Order_Account" Association="BookManagementModel.FK_Order_Account">
            <End Role="Account" EntitySet="Accounts" />
            <End Role="Order" EntitySet="Orders" />
          </AssociationSet>
          <AssociationSet Name="FK_Books_Publishers" Association="BookManagementModel.FK_Books_Publishers">
            <End Role="Publisher" EntitySet="Publishers" />
            <End Role="Book" EntitySet="Books" />
          </AssociationSet>
          <AssociationSet Name="BooksAuthors" Association="BookManagementModel.BooksAuthors">
            <End Role="Author" EntitySet="Authors" />
            <End Role="Book" EntitySet="Books" />
          </AssociationSet>
          <AssociationSet Name="OrderDetails" Association="BookManagementModel.OrderDetails">
            <End Role="Book" EntitySet="Books" />
            <End Role="Order" EntitySet="Orders" />
          </AssociationSet>
          </EntityContainer>
        <ComplexType Name="sp_helpdiagramdefinition_Result">
          <Property Type="Int32" Name="version" Nullable="true" />
          <Property Type="Binary" Name="definition" Nullable="true" />
        </ComplexType>
        <ComplexType Name="sp_helpdiagrams_Result">
          <Property Type="String" Name="Database" Nullable="true" MaxLength="128" />
          <Property Type="String" Name="Name" Nullable="false" MaxLength="128" />
          <Property Type="Int32" Name="ID" Nullable="false" />
          <Property Type="String" Name="Owner" Nullable="true" MaxLength="128" />
          <Property Type="Int32" Name="OwnerID" Nullable="false" />
        </ComplexType>
        <EntityType Name="Account">
          <Key>
            <PropertyRef Name="username" />
          </Key>
          <Property Name="username" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="password" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="fullname" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="role" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Orders" Relationship="BookManagementModel.FK_Order_Account" FromRole="Account" ToRole="Order" />
        </EntityType>
        <EntityType Name="Author">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="name" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Books" Relationship="BookManagementModel.BooksAuthors" FromRole="Author" ToRole="Book" />
        </EntityType>
        <EntityType Name="Book">
          <Key>
            <PropertyRef Name="isbn" />
          </Key>
          <Property Name="title" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="isbn" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="publisher_id" Type="Int32" />
          <NavigationProperty Name="Publisher" Relationship="BookManagementModel.FK_Books_Publishers" FromRole="Book" ToRole="Publisher" />
          <NavigationProperty Name="Authors" Relationship="BookManagementModel.BooksAuthors" FromRole="Book" ToRole="Author" />
          <NavigationProperty Name="Orders" Relationship="BookManagementModel.OrderDetails" FromRole="Book" ToRole="Order" />
        </EntityType>
        <EntityType Name="Order">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="title" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="username" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="createddate" Type="DateTime" Precision="0" />
          <Property Name="returndate" Type="DateTime" Precision="0" />
          <NavigationProperty Name="Account" Relationship="BookManagementModel.FK_Order_Account" FromRole="Order" ToRole="Account" />
          <NavigationProperty Name="Books" Relationship="BookManagementModel.OrderDetails" FromRole="Order" ToRole="Book" />
        </EntityType>
        <EntityType Name="Publisher">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="name" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Books" Relationship="BookManagementModel.FK_Books_Publishers" FromRole="Publisher" ToRole="Book" />
        </EntityType>
        <EntityType Name="sysdiagram">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" Nullable="false" MaxLength="128" FixedLength="false" Unicode="true" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <Association Name="FK_Order_Account">
          <End Type="BookManagementModel.Account" Role="Account" Multiplicity="0..1" />
          <End Type="BookManagementModel.Order" Role="Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Account">
              <PropertyRef Name="username" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="username" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Books_Publishers">
          <End Type="BookManagementModel.Publisher" Role="Publisher" Multiplicity="0..1" />
          <End Type="BookManagementModel.Book" Role="Book" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Publisher">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Book">
              <PropertyRef Name="publisher_id" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="BooksAuthors">
          <End Type="BookManagementModel.Author" Role="Author" Multiplicity="*" />
          <End Type="BookManagementModel.Book" Role="Book" Multiplicity="*" />
        </Association>
        <Association Name="OrderDetails">
          <End Type="BookManagementModel.Book" Role="Book" Multiplicity="*" />
          <End Type="BookManagementModel.Order" Role="Order" Multiplicity="*" />
        </Association>
        </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="BookManagementModelStoreContainer" CdmEntityContainer="BookManagementEntities">
          <FunctionImportMapping FunctionImportName="sp_alterdiagram" FunctionName="BookManagementModel.Store.sp_alterdiagram" />
          <FunctionImportMapping FunctionImportName="sp_creatediagram" FunctionName="BookManagementModel.Store.sp_creatediagram" />
          <FunctionImportMapping FunctionImportName="sp_dropdiagram" FunctionName="BookManagementModel.Store.sp_dropdiagram" />
          <FunctionImportMapping FunctionImportName="sp_helpdiagramdefinition" FunctionName="BookManagementModel.Store.sp_helpdiagramdefinition">
            <ResultMapping>
              <ComplexTypeMapping TypeName="BookManagementModel.sp_helpdiagramdefinition_Result">
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="sp_helpdiagrams" FunctionName="BookManagementModel.Store.sp_helpdiagrams">
            <ResultMapping>
              <ComplexTypeMapping TypeName="BookManagementModel.sp_helpdiagrams_Result">
                <ScalarProperty Name="Database" ColumnName="Database" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Owner" ColumnName="Owner" />
                <ScalarProperty Name="OwnerID" ColumnName="OwnerID" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="sp_renamediagram" FunctionName="BookManagementModel.Store.sp_renamediagram" />
          <FunctionImportMapping FunctionImportName="sp_upgraddiagrams" FunctionName="BookManagementModel.Store.sp_upgraddiagrams" />
          <EntitySetMapping Name="Accounts">
            <EntityTypeMapping TypeName="BookManagementModel.Account">
              <MappingFragment StoreEntitySet="Account">
                <ScalarProperty Name="role" ColumnName="role" />
                <ScalarProperty Name="fullname" ColumnName="fullname" />
                <ScalarProperty Name="password" ColumnName="password" />
                <ScalarProperty Name="username" ColumnName="username" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Authors">
            <EntityTypeMapping TypeName="BookManagementModel.Author">
              <MappingFragment StoreEntitySet="Authors">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="id" ColumnName="id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Books">
            <EntityTypeMapping TypeName="BookManagementModel.Book">
              <MappingFragment StoreEntitySet="Books">
                <ScalarProperty Name="publisher_id" ColumnName="publisher_id" />
                <ScalarProperty Name="isbn" ColumnName="isbn" />
                <ScalarProperty Name="title" ColumnName="title" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Orders">
            <EntityTypeMapping TypeName="BookManagementModel.Order">
              <MappingFragment StoreEntitySet="Order">
                <ScalarProperty Name="returndate" ColumnName="returndate" />
                <ScalarProperty Name="createddate" ColumnName="createddate" />
                <ScalarProperty Name="username" ColumnName="username" />
                <ScalarProperty Name="title" ColumnName="title" />
                <ScalarProperty Name="id" ColumnName="id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Publishers">
            <EntityTypeMapping TypeName="BookManagementModel.Publisher">
              <MappingFragment StoreEntitySet="Publishers">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="id" ColumnName="id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="BookManagementModel.sysdiagram">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="definition" ColumnName="definition" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="name" ColumnName="name" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="BooksAuthors" TypeName="BookManagementModel.BooksAuthors" StoreEntitySet="BooksAuthors">
            <EndProperty Name="Book">
              <ScalarProperty Name="isbn" ColumnName="isbn" />
            </EndProperty>
            <EndProperty Name="Author">
              <ScalarProperty Name="id" ColumnName="author_id" />
            </EndProperty>
          </AssociationSetMapping>
          <AssociationSetMapping Name="OrderDetails" TypeName="BookManagementModel.OrderDetails" StoreEntitySet="OrderDetails">
            <EndProperty Name="Order">
              <ScalarProperty Name="id" ColumnName="order_id" />
            </EndProperty>
            <EndProperty Name="Book">
              <ScalarProperty Name="isbn" ColumnName="isbn" />
            </EndProperty>
          </AssociationSetMapping>
          </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>